//+------------------------------------------------------------------+
//|                                         DiffMomentum VMA-AMA.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright Boxter"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

//---- input parameters

extern int VMA_Periods= 30;
extern int VMA_Price  = 5;
extern int AMA_Price  = 0;
extern int AMA_Period = 15;
extern int AMA_N_fast = 2;
extern int AMA_N_slow = 30;
extern double Boost   = 1000;
extern bool slope   = false;
extern double  SmoothLength   =   5;
extern double  SmoothPhase    =   0;

double upB[],loB[];
double MA1[],MA2[];
double Diff,slopeMA1[],slopeMA2[],slopeMAcum,VMA,AMA;
string shortName;
string indicatorFileName;

//+------------------------------------------------------------------+
//| init function 
//+------------------------------------------------------------------+
int init(){
   IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,upB);
   SetIndexEmptyValue(0,EMPTY_VALUE);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,loB);
   SetIndexEmptyValue(1,EMPTY_VALUE);
   SetIndexBuffer(2,MA1);
   SetIndexBuffer(3,MA2);
   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS)); 
   shortName = " DiffMomentum VMA-AMA"; //(VMA="+DoubleToStr(VMA,Digits)+"; AMA="+DoubleToStr(AMA,Digits)+")";
      IndicatorShortName(shortName);  
   return(0);
}

int deinit(){
   return(0);
}

//+------------------------------------------------------------------+
//| start function 
//+------------------------------------------------------------------+
int start(){
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);   
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         
   //
   //
   //
   //
   //
            
   for(int i=limit; i>=0; i--) 
   {
      double MA11=iCustom(NULL,0,"VMA Bands",VMA_Periods,VMA_Price,SmoothLength,SmoothPhase,0,i);
      double MA22=iCustom(NULL,0,"AMA Advanced_v1.3",AMA_Price,AMA_Period,AMA_N_fast,AMA_N_slow,0,i);
      //Print ("single ",MA11,"; ",MA22);
      
         MA1[i] = MA11;
         MA2[i] = MA11;
      //Print ("array ",MA1[i],"; ",MA2[i]);
      
      Diff=(MA22-MA11)*Boost; 
         if(Diff>0) {
            upB[i]=Diff;
            loB[i]=0;
         } else {
            upB[i]=0;
            loB[i]=Diff;
         }   
      
/*   }         
      VMA=MA1[1];
      AMA=MA2[1];   
  
   for(i=0; i<limit-3; i++) {   
      Diff=(MA2[i]-MA1[i])*Boost; 
      if(Diff>0) {
         upB[i]=Diff;
         loB[i]=0;
      } else {
         upB[i]=0;
         loB[i]=Diff;
      }
      
      if (slope) {
         slopeMA1[i]=MA1[i]-MA1[i+3];
         slopeMA2[i]=MA2[i]-MA2[i+3];
         slopeMAcum =slopeMA1[i]+slopeMA2[i];
         if(slopeMAcum>0) {
            upB[i]=slopeMAcum;
            loB[i]=0;
         } else {
            upB[i]=0;
            loB[i]=slopeMAcum;
         }
      }  
*/       
   }
   return(0);
}



